org.apache.geode.management

## Class RegionAttributesData

- java.lang.Object
- - org.apache.geode.management.RegionAttributesData

-     public class RegionAttributesData
      extends java.lang.Object

  Composite data type used to distribute attributes for a `Region`.
  Since:
    GemFire 7.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegionAttributesData(java.lang.String cacheLoaderClassName, java.lang.String cacheWriterClassName, java.lang.String keyConstraintClassName, java.lang.String valueConstraintClassName, int regionTimeToLive, int regionIdleTimeout, int entryTimeToLive, int entryIdleTimeout, java.lang.String customEntryTimeToLive, java.lang.String customEntryIdleTimeout, boolean ignoreJTA, java.lang.String dataPolicy, java.lang.String scope, int initialCapacity, float loadFactor, boolean lockGrantor, boolean multicastEnabled, int concurrencyLevel, boolean indexMaintenanceSynchronous, boolean statisticsEnabled, boolean subscriptionConflationEnabled, boolean asyncConflationEnabled, java.lang.String poolName, boolean cloningEnabled, java.lang.String diskStoreName, java.lang.String interestPolicy, boolean diskSynchronous, java.lang.String[] cacheListeners, java.lang.String compressorClassName, boolean offHeap, java.util.Set<java.lang.String> asyncEventQueueIds, java.util.Set<java.lang.String> gatewaySenderIds)` This constructor is to be used by internal JMX framework only.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.lang.String>` | `getAsyncEventQueueIds()` Returns the set of async event queue IDs.
    `java.lang.String[]` | `getCacheListeners()` Returns a list of CacheListeners for the Region.
    `java.lang.String` | `getCacheLoaderClassName()` Returns the Class of cache loader associated with this region.
    `java.lang.String` | `getCacheWriterClassName()` Returns the Class of the cache writer associated with this region.
    `java.lang.String` | `getCompressorClassName()` Returns the compressor class name used by the region.
    `int` | `getConcurrencyLevel()` Returns the concurrency level for entries in the Region.
    `java.lang.String` | `getCustomEntryIdleTimeout()` Returns the custom idle timeout expiration for entries in the Region, if one exists.
    `java.lang.String` | `getCustomEntryTimeToLive()` Returns the custom time to live expiration for entries in the Region, if one exists.
    `java.lang.String` | `getDataPolicy()` Returns the data policy.
    `java.lang.String` | `getDiskStoreName()` Returns the name of the DiskStore associated with the Region.
    `int` | `getEntryIdleTimeout()` Returns the idle timeout expiration for entries in the Region.
    `int` | `getEntryTimeToLive()` Returns the time to live expiration for entries in the Region.
    `java.util.Set<java.lang.String>` | `getGatewaySenderIds()` Returns the set of gateway sender IDs.
    `int` | `getInitialCapacity()` Returns the initial capacity of entries in the Region.
    `java.lang.String` | `getInterestPolicy()` Returns the subscriber's interest policy.
    `java.lang.String` | `getKeyConstraintClassName()` Returns the Class that the keys in this region are constrained to (must be an instance of).
    `float` | `getLoadFactor()` Returns the load factor of entries in the Region.
    `boolean` | `getOffHeap()` Returns true if the region uses off-heap memory.
    `java.lang.String` | `getPoolName()` Returns the name of the Pool that this Region will use to communicate with servers, if any.
    `int` | `getRegionIdleTimeout()` Returns the idle timeout expiration for the Region.
    `int` | `getRegionTimeToLive()` Returns the time to live expiration for the Region.
    `java.lang.String` | `getScope()` Returns the scope.
    `java.lang.String` | `getValueConstraintClassName()` Returns the Class that the values in this region are constrained to (must be an instance of).
    `boolean` | `isAsyncConflationEnabled()` Returns whether asynchronous conflation is enabled for sending messages to peers.
    `boolean` | `isCloningEnabled()` Returns whether cloning is enabled.
    `boolean` | `isDiskSynchronous()` Returns whether disk writes are synchronous.
    `boolean` | `isIgnoreJTA()` Returns whether JTA transactions are being ignored.
    `boolean` | `isIndexMaintenanceSynchronous()` Returns whether query service index maintenance will be done synchronously.
    `boolean` | `isLockGrantor()` Returns whether this member is configured to become the lock granter when the Region is created.
    `boolean` | `isMulticastEnabled()` Returns whether multicast communication is enabled for the Region.
    `boolean` | `isStatisticsEnabled()` Returns whether statistic collection is enabled for the Region and its entries.
    `boolean` | `isSubscriptionConflationEnabled()` Returns whether conflation is enabled for sending messages from a cache server to its clients.
    `java.lang.String` | `toString()` String representation of RegionAttributesData

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RegionAttributesData

          @ConstructorProperties(value={"cacheLoaderClassName","cacheWriterClassName","keyConstraintClassName","valueConstraintClassName","regionTimeToLive","regionIdleTimeout","entryTimeToLive","entryIdleTimeout","customEntryTimeToLive","customEntryIdleTimeout","ignoreJTA","dataPolicy","scope","initialCapacity","loadFactor","lockGrantor","multicastEnabled","concurrencyLevel","indexMaintenanceSynchronous","statisticsEnabled","subscriptionConflationEnabled","asyncConflationEnabled","poolName","cloningEnabled","diskStoreName","interestPolicy","diskSynchronous","cacheListeners","compressorClassName","offHeap","asyncEventQueueIds","gatewaySenderIds"})
          public RegionAttributesData(java.lang.String cacheLoaderClassName,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            java.lang.String cacheWriterClassName,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            java.lang.String keyConstraintClassName,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            java.lang.String valueConstraintClassName,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            int regionTimeToLive,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            int regionIdleTimeout,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            int entryTimeToLive,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            int entryIdleTimeout,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            java.lang.String customEntryTimeToLive,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            java.lang.String customEntryIdleTimeout,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            boolean ignoreJTA,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            java.lang.String dataPolicy,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            java.lang.String scope,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            int initialCapacity,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            float loadFactor,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            boolean lockGrantor,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            boolean multicastEnabled,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            int concurrencyLevel,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            boolean indexMaintenanceSynchronous,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            boolean statisticsEnabled,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            boolean subscriptionConflationEnabled,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            boolean asyncConflationEnabled,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            java.lang.String poolName,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            boolean cloningEnabled,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            java.lang.String diskStoreName,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            java.lang.String interestPolicy,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            boolean diskSynchronous,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            java.lang.String[] cacheListeners,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            java.lang.String compressorClassName,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            boolean offHeap,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            java.util.Set<java.lang.String> asyncEventQueueIds,
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            java.util.Set<java.lang.String> gatewaySenderIds)

      This constructor is to be used by internal JMX framework only. User should not try to create an instance of this class.

  - ### Method Detail

    - #### getCacheLoaderClassName

          public java.lang.String getCacheLoaderClassName()

      Returns the Class of cache loader associated with this region.

    - #### getCacheWriterClassName

          public java.lang.String getCacheWriterClassName()

      Returns the Class of the cache writer associated with this region.

    - #### getKeyConstraintClassName

          public java.lang.String getKeyConstraintClassName()

      Returns the Class that the keys in this region are constrained to (must be an instance of).

    - #### getValueConstraintClassName

          public java.lang.String getValueConstraintClassName()

      Returns the Class that the values in this region are constrained to (must be an instance of).

    - #### getRegionTimeToLive

          public int getRegionTimeToLive()

      Returns the time to live expiration for the Region.

    - #### getRegionIdleTimeout

          public int getRegionIdleTimeout()

      Returns the idle timeout expiration for the Region.

    - #### getEntryTimeToLive

          public int getEntryTimeToLive()

      Returns the time to live expiration for entries in the Region.

    - #### getEntryIdleTimeout

          public int getEntryIdleTimeout()

      Returns the idle timeout expiration for entries in the Region.

    - #### getCustomEntryTimeToLive

          public java.lang.String getCustomEntryTimeToLive()

      Returns the custom time to live expiration for entries in the Region, if one exists.

    - #### getCustomEntryIdleTimeout

          public java.lang.String getCustomEntryIdleTimeout()

      Returns the custom idle timeout expiration for entries in the Region, if one exists.

    - #### isIgnoreJTA

          public boolean isIgnoreJTA()

      Returns whether JTA transactions are being ignored.
      Returns:
        True if JTA transactions are being ignored, false otherwise.

    - #### getDataPolicy

          public java.lang.String getDataPolicy()

      Returns the data policy.

    - #### getScope

          public java.lang.String getScope()

      Returns the scope.

    - #### getInitialCapacity

          public int getInitialCapacity()

      Returns the initial capacity of entries in the Region.

    - #### getLoadFactor

          public float getLoadFactor()

      Returns the load factor of entries in the Region.

    - #### isLockGrantor

          public boolean isLockGrantor()

      Returns whether this member is configured to become the lock granter when the Region is created. It does not indicate whether this member is currently the lock granter for the Region.
      Returns:
        True if this member is configured to start the Region as the lock granter, false otherwise. Always returns false if the scope of the Region is not `Scope.GLOBAL`

    - #### isMulticastEnabled

          public boolean isMulticastEnabled()

      Returns whether multicast communication is enabled for the Region.
      Returns:
        True if multicast communication is enabled, false otherwise.

    - #### getConcurrencyLevel

          public int getConcurrencyLevel()

      Returns the concurrency level for entries in the Region.

    - #### isIndexMaintenanceSynchronous

          public boolean isIndexMaintenanceSynchronous()

      Returns whether query service index maintenance will be done synchronously.
      Returns:
        True if query service index maintenance will be done synchronously or false if it will be done asynchronously.

    - #### isStatisticsEnabled

          public boolean isStatisticsEnabled()

      Returns whether statistic collection is enabled for the Region and its entries.
      Returns:
        True if statistic collection is enabled, false otherwise.

    - #### isSubscriptionConflationEnabled

          public boolean isSubscriptionConflationEnabled()

      Returns whether conflation is enabled for sending messages from a cache server to its clients. This value only has meaning for client to server communication and is not relevant for peer to peer communication.
      Returns:
        True if conflation is enabled, false otherwise.

    - #### isAsyncConflationEnabled

          public boolean isAsyncConflationEnabled()

      Returns whether asynchronous conflation is enabled for sending messages to peers.
      Returns:
        True if asynchronous conflation is enabled, false otherwise.

    - #### getPoolName

          public java.lang.String getPoolName()

      Returns the name of the Pool that this Region will use to communicate with servers, if any.
      Returns:
        The name of the Pool used to communicate with servers or null if the host member communicates with peers.

    - #### isCloningEnabled

          public boolean isCloningEnabled()

      Returns whether cloning is enabled.
      Returns:
        True if cloning is enabled, false otherwise.

    - #### getDiskStoreName

          public java.lang.String getDiskStoreName()

      Returns the name of the DiskStore associated with the Region.

    - #### getInterestPolicy

          public java.lang.String getInterestPolicy()

      Returns the subscriber's interest policy.

    - #### isDiskSynchronous

          public boolean isDiskSynchronous()

      Returns whether disk writes are synchronous.
      Returns:
        True if disk writes are synchronous, false otherwise.

    - #### getCacheListeners

          public java.lang.String[] getCacheListeners()

      Returns a list of CacheListeners for the Region. An empty array if no listener is specified.

    - #### getCompressorClassName

          public java.lang.String getCompressorClassName()

      Returns the compressor class name used by the region.
      Returns:
        null if no compression is used.

    - #### getOffHeap

          public boolean getOffHeap()

      Returns true if the region uses off-heap memory.
      Returns:
        false if the region does not use off-heap memory.

    - #### getAsyncEventQueueIds

          public java.util.Set<java.lang.String> getAsyncEventQueueIds()

      Returns the set of async event queue IDs.
      Returns:
        a set of ids.

    - #### getGatewaySenderIds

          public java.util.Set<java.lang.String> getGatewaySenderIds()

      Returns the set of gateway sender IDs.
      Returns:
        a set of ids.

    - #### toString

          public java.lang.String toString()

      String representation of RegionAttributesData
      Overrides:
        `toString` in class `java.lang.Object`